/*@font-face {
  font-family: "Circular-Pro-Book";

  src:url("~assets/fonts/lineto-circular-pro-book.eot") {}

  src:url("~assets/fonts/lineto-circular-pro-book.eot?#iefix") format("embedded-opentype"), url("~assets/fonts/lineto-circular-pro-book.woff2") format("woff2"), url("~assets/fonts/lineto-circular-pro-book.woff") format("woff") {}

  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Circular-Pro-Bold";

  src:url("~assets/fonts/lineto-circular-pro-bold.eot") {}

  src:url("~assets/fonts/lineto-circular-pro-bold.eot?#iefix") format("embedded-opentype"), url("~assets/fonts/lineto-circular-pro-bold.woff2") format("woff2"), url("~assets/fonts/lineto-circular-pro-bold.woff") format("woff") {}

  font-weight: normal;
  font-style: normal;
}

@import "~assets/fonts";*/

@import url("https://fonts.googleapis.com/css?family=Montserrat:400,600,800");

@import "~assets/mixins";
@import "~assets/mapbox-gl";

// Global Classes

html {
  // Mixins
  // Box properties
  // Background & borders
  // Typography
  text-align: left;
  font-family: $font-sans;
  color: $color-text;
  background-color: $color-background;

  -webkit-font-smoothing: antialiased;
  word-spacing: 1px;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  -moz-osx-font-smoothing: grayscale;

  // -webkit-backface-visibility: hidden
  // backface-visibility: hidden
  // -webkit-overflow-scrolling: touch
  // Animation
  // Other
  @media screen and (min-width: 600px) {
    text-rendering: optimizeLegibility;
  }

  min-height: 100%;
  min-width: 100%;
}

.button {
  background-color: $color-brand-primary;
  color: white;

  &:hover {
    color: white;
  }

  padding: $grid * 0.5;
  border-radius: $grid * 0.25;

  text-decoration: none;

  margin: 0 $grid * 0.25;
}

h1,
h2,
h3,
h4 {
  text-transform: uppercase;
}

h1 {
  font-size: $font-size-h1;
}
h2 {
  font-size: $font-size-h2;
}
h3 {
  font-size: $font-size-h3;
}

.page {
  padding-top: $grid * 0.5;
}

a {
  color: lighten($color-brand-primary, 20%);
  text-decoration: none;

  &:hover {
    color: $color-brand-primary;
    text-decoration: underline;
  }
}

.drop-shade {
  position: absolute;
  top: 0px;
  height: 100%;
  width: 100%;
  pointer-events: initial;
  display: flex;
  text-align: center;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-color: rgba(0, 0, 0, 0.8);
}

.mapboxgl-ctrl-bottom-right,
.mapboxgl-ctrl-bottom-left {
  transition: padding-bottom 300ms linear;
  padding-bottom: 0;
}

.el-select-dropdown__item.hover,
.el-select-dropdown__item:hover {
  background-color: gray !important;
}
